summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSergei Trofimovich <slyfox@gentoo.org>2021-07-17 10:16:52 +0100
committerSergei Trofimovich <slyfox@gentoo.org>2021-07-17 11:25:25 +0100
commitc57ea1ef814ac2c3007f60edf63a4d834525040b (patch)
tree4f9ece27522202cf65e505528e3902fb07351feb /eclass/toolchain.eclass
parenttoolchain.eclass: add EAPI=8 support (diff)
downloadgentoo-c57ea1ef814ac2c3007f60edf63a4d834525040b.tar.gz
gentoo-c57ea1ef814ac2c3007f60edf63a4d834525040b.tar.bz2
gentoo-c57ea1ef814ac2c3007f60edf63a4d834525040b.zip
toolchain.eclass: add an assert for minimum supported gcc
Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
Diffstat (limited to 'eclass/toolchain.eclass')
-rw-r--r--eclass/toolchain.eclass5
1 files changed, 5 insertions, 0 deletions
diff --git a/eclass/toolchain.eclass b/eclass/toolchain.eclass
index f10309c3f73c..fca996f82443 100644
--- a/eclass/toolchain.eclass
+++ b/eclass/toolchain.eclass
@@ -97,6 +97,11 @@ elif [[ ${GCC_PV} == *_rc* ]] ; then
SNAPSHOT=${GCC_PV%_rc*}-RC-${GCC_PV##*_rc}
fi
+# Require minimum gcc version to simplify assumptions.
+# Normally we would require gcc-6+ (based on sys-devel/gcc)
+# but we still have sys-devel/gcc-apple-4.2.1_p5666.
+tc_version_is_at_least 4.2.1 || die "${ECLASS}: ${GCC_RELEASE_VER} is too old."
+
PREFIX=${TOOLCHAIN_PREFIX:-${EPREFIX}/usr}
LIBPATH=${TOOLCHAIN_LIBPATH:-${PREFIX}/lib/gcc/${CTARGET}/${GCC_CONFIG_VER}}